Vagrant.configure("2") do |config|
  config.vm.box= "bento/ubuntu-18.04"
  config.vm.box_check_update = false

config.vm.define "g" do |g|
  g.vm.box = "ookk3388/python-server"
  g.vm.box_version = "1.0.0"




  g.vm.network "public_network" ,:bridge => 'en0: Wi-Fi (AirPort)' ,ip: "192.168.3.177"
  g.vm.network :private_network, ip: "192.168.33.177"
  # g.vm.synced_folder ".", "/home/vagrant/gitserver"
  g.vm.synced_folder "./src","/vagrant",create:true,type: "rsync"

  g.vm.provision "shell", path: "./src/update.sh"

  g.vm.provision "file", source: "./src/upgrade.sh", destination: "/tmp/source/upgrade.sh"

  g.vm.provision "shell", inline: "/bin/sh /tmp/source/upgrade.sh"



  g.vm.provider "virtualbox" do |vb|
    vb.customize ["modifyvm", :id, "--memory", "2048"]
    vb.customize ["modifyvm", :id, "--vram", "256"]
    vb.customize ["modifyvm", :id, "--cpus", "2"]
    vb.customize ["modifyvm", :id, "--name", "长毛是狗-python-server-177"]

    vb.customize ["modifyvm", :id, "--groups", "/长毛是狗/ubuntu"]
    vb.customize ["modifyvm", :id, "--natdnshostresolver1", "on"]
    vb.customize ["modifyvm", :id, "--natdnsproxy1", "on"]
    #桥联
    vb.customize ["modifyvm", :id, "--nic2","hostif"]
    #内部网
    vb.customize ["modifyvm", :id, "--nic3","intnet"]
    #usb
    vb.customize ["modifyvm", :id, "--usb","on"]

    #  vb.customize ["modifyvm", :id, "--accelerate3d", "on"]

  end
end
# config.push.define "staging", strategy: "ftp" do |push|
#push.host = "ftp.company.com"
#push.username = "..."
# end
end